<template>
  <div
    v-if="hasHeader"
    class="flex flex-row items-center p-0 gap-4 w-[424px] h-[80px] mb-4"
  >
    <div
      v-if="!logo.IsHidden"
      class="flex items-center justify-center w-20 h-20 bg-primary rounded-xl"
    >
      <img v-lazy="logo.ImagePath" class="w-[80px] h-[40px]" alt="company-logo" />
    </div>
    <div
      v-if="!appLogo.IsHidden && !logo.IsHidden"
      class="flex flex-col items-start p-0 gap-1 w-[318px] h-[79px]"
    >
      <div
        v-if="!appLogo.IsHidden"
        class="w-[360px] h-7 font-black text-[1.4rem] leading-7 --text4"
      >
        <div class="truncate text-[24px]" v-html="appLogo.Text"></div>
      </div>
      <div
        v-if="!logo.IsHidden"
        class="flex flex-row items-center p-0 gap-2 w-[302px] h-12"
      >
        <span
          class="w-[86px] h-12 font-black text-[40px] leading-[47px] fc-primary uppercase"
          >{{ $t("new") }}</span
        >
        <img v-lazy="logo.ImagePath" class="w-[120px] h-[60px]" alt="company-logo" />
        <span
          class="w-[86px] h-12 font-black text-[40px] leading-[47px] uppercase --text4"
          >{{ $t("app") }}</span
        >
      </div>
    </div>
  </div>
  <div class="w-[400px] h-[240px] qrcode-container p-[16px] relative">
    <div class="w-full h-full bg-qrcode-container"></div>
    <div class="absolute">
      <div class="text-[16px] font-medium mb-[8px] --text2">
        {{ $t("a_world_of_betting_at_your_fingertips") }}
      </div>
      <h2 class="text-[24px] font-bold mb-[16px] --text2">
        {{ $t("download_app_now") }}
      </h2>
      <div class="flex pl-[8px] items-center">
        <div class="p-[10px] bg-white rounded-lg mr-[24px]">
          <qrcode-vue
            id="qrCode"
            class="p-0"
            :value="qrCodeLink"
            size="110"
          ></qrcode-vue>
        </div>
        <div>
          <div class="text-[14px] font-medium mb-[8px] --text2">
            {{ $t("scan_for_downloading") }}
          </div>
          <img
            v-lazy="
              getAssetImage('assets/theme/common/appdownload/android.png')
            "
            class="w-[166px] h-[64px]"
          />
          <a v-if="isAppDownloadButton" :href="qrCodeLink" download>
            <el-button round class="w-full" style="margin-top: 10px">{{
              $t("download")
            }}</el-button>
          </a>
        </div>
      </div>
    </div>
    <img
      v-lazy="getAssetImage('assets/theme/common/appdownload/icon-deco.png')"
      class="w-[22px] h-[22px] absolute bottom-[16px] right-[16px]"
    />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import QrcodeVue from "qrcode.vue";
import commonHelper from "@/utils/commonHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { store } from "@/store";

export default defineComponent({
  name: "GenerateQrAppDownload",
  components: {
    QrcodeVue,
  },
  props: {
    qrCodeLink: {
      type: String,
      default: "",
    },
    hasHeader: {
      type: Boolean,
      default: false,
    },
    isAppDownloadButton: {
      type: Boolean,
      default: false,
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const logo = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "logo"
        )
    );
    const appLogo = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "wl_app_download_title"
        )
    );
    return {
      getAssetImage,
      logo,
      appLogo,
    };
  },
});
</script>
<style>
.bg-qrcode-container {
  background: var(--background1);
  border-radius: 16px;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  opacity: 0.3;
}
</style>
